%define module_name App-colorcoke
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Pod/Usage.pm) perl(Term/ExtendedColor.pm) perl(Term/ExtendedColor/Xresources.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.430
Release: alt1
Summary: Modify the extended terminal colorset
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/W/WO/WOLDRICH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
colorcoke shows off some cool things you can do with the the Term::ExtendedColor manpage
family of modules.

colorcoke lets one modify the extended colorset (88-16 or 256-16 colors,
respectively) for a running terminal session. The change takes effect
immediately - no need to restart the terminal.

Shades and tints can be generated for an arbitary number of ranges.

The ANSI colors can be left untouched, be included in a shade or set
separately. One can also exclude everything but the ANSI colors.
The ANSI colors is untouched by default.

The grey scale ramp (extended color index 232-255) is left untouched by
default. To include them, set the end point to 255.

Additional colors can be left untouched by specifying their index with the
`--no flag'. This can also be configured in the configuration file.

The base color to use is specified with the -c flag, and the stepping
is controlled with the -r, -g and -b flag - red, green and blue channel.

Red, green and blue amount is specified with `-rr', `-rg' and `-rb' when the
randomizing option is used.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%_bindir/*

%changelog
* Tue Apr 02 2019 Igor Vlasenko <viy@altlinux.ru> 0.430-alt1
- updated by package builder

* Sun Feb 24 2019 Igor Vlasenko <viy@altlinux.ru> 0.420-alt1
- updated by package builder

* Mon Feb 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.418-alt1
- updated by package builder

* Sun Feb 17 2019 Igor Vlasenko <viy@altlinux.ru> 0.416-alt1
- initial import by package builder

